## puppet-backend-tools 14

=== debian/changelog ===
puppet-backend-tools (14) unstable; urgency=medium

  * [pdb-backend]: do not have the "delnode" error out if the "node clean" fails
    due to the certificate not being found: it may be that the user did a manual clean
    before running "delnode".

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 09 Nov 2021 15:51:35 -0800

puppet-backend-tools (13) unstable; urgency=medium

  * Make the pdb-backend "delnode" action work with Puppet Open Source.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Wed, 12 May 2021 09:12:49 -0700

puppet-backend-tools (12) unstable; urgency=medium

  * Re-factor pdb-backend removing unused actions, adding an option to
    specify the puppetdb-cli configuration file, and removing the direct
    SQL query of PuppetDB.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 11 May 2021 07:33:17 -0700

puppet-backend-tools (11) unstable; urgency=medium

  * Change git-info so that it requires an action (list, help, or manual)
    as the first argument. We do this so git-info fits in better with
    remctl-central which always requires a subcommand.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Sat, 24 Apr 2021 15:22:12 -0700

puppet-backend-tools (10) unstable; urgency=medium

  * Add perl-doc as a dependency so that the man page can be generated.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Sat, 27 Mar 2021 11:11:16 -0700

puppet-backend-tools (9) unstable; urgency=medium

  * Fix issue with getting last commit in Community Puppet.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 26 Mar 2021 16:39:14 -0700

puppet-backend-tools (8) unstable; urgency=medium

  * First pass at making git-info compatible with Community Puppet.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Thu, 25 Mar 2021 14:36:52 -0700

puppet-backend-tools (7) unstable; urgency=medium

  * Rename of package to "puppet-backend-tools".

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Mon, 30 Nov 2020 12:05:31 -0800

stanford-puppet-pdb (6) unstable; urgency=medium

  * New script: puppet-repo-deploy. (Jira IEDO-738)

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 06 Oct 2020 11:40:04 -0700

stanford-puppet-pdb (5) unstable; urgency=medium

  * [git-info] When using --max-seconds-behind show the repo that is most
    behind. (Jira IEDO-734)
  * [git-info] Add Nagios graphing data to --nagios output (Jira IEDO-735)

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Thu, 01 Oct 2020 07:21:17 -0700

stanford-puppet-pdb (4) unstable; urgency=medium

  * [pdb-backend] Add "listnodes-raw" in case "listnodes" fails due to JSON
    parser failure.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 05 Jun 2018 07:24:44 -0700

stanford-puppet-pdb (3) unstable; urgency=low

  * [pdb-backend] Add "listfacts" command.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 09 Jan 2015 13:45:17 -0800

stanford-puppet-pdb (2) unstable; urgency=low

  * [pdb-backend] Fix bug in query() where results were being generated
    but not printed.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Thu, 04 Dec 2014 08:00:44 -0800

stanford-puppet-pdb (1) unstable; urgency=low

  * Initial release.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 11 Nov 2014 10:13:44 -0800
