=== debian/control ===
Source: puppet-backend-tools
Section: web
Priority: optional
Maintainer: Adam Henry Lewenberg <adamhl@stanford.edu>
Build-Depends: libmodule-build-perl,
               debhelper (>= 10),
               rsync
Standards-Version: 4.3.0

Package: puppet-backend-tools
Architecture: all
Depends: git,
 libconfig-tiny-perl,
 libdbd-pg-perl,
 libdbi-perl,
 libgetopt-long-descriptive-perl,
 libjson-perl,
 libreadonly-perl,
 libstanford-orange-util-perl,
 libtimedate-perl,
 perl-doc,
 ${perl:Depends}, ${misc:Depends}
Description: Scripts run on Puppet server
 Wrapper scripts allowing user to query the Puppet DB database, delete
 Puppet nodes, and manipulate the Puppet Certificate Authority. Based on
 Darren Patterson's puppetdbquery wrapper script. These scripts are
 suitable for using with remctl.
